Package org.eclipse.net4j.signal

# Class SignalReactor

java.lang.Object
org.eclipse.net4j.signal.Signal
org.eclipse.net4j.signal.SignalReactor

All Implemented Interfaces:
  `Runnable`

Direct Known Subclasses:
  `Indication`, `IndicationWithResponse`

public abstract class SignalReactor extends Signal
Represents the receiver side of a `signal`.

Author:
  Eike Stepper

## Field Summary

### Fields inherited from class org.eclipse.net4j.signal.Signal

`NO_TIMEOUT`

## Constructor Summary

Constructors
Constructor
Description
`SignalReactor(SignalProtocol<?> protocol, short signalID)`
`SignalReactor(SignalProtocol<?> protocol, short id, String name)`
`SignalReactor(SignalProtocol<?> protocol, Enum<?> literal)`

## Method Summary

Modifier and Type
Method
Description
`protected final org.eclipse.net4j.util.om.monitor.OMMonitor`
`createMonitor(int monitorProgressSeconds, int monitorTimeoutSeconds)`
`protected final void`
`monitor(int monitorProgressSeconds, int monitorTimeoutSeconds, org.eclipse.net4j.util.RunnableWithException runnable)`

### Methods inherited from class org.eclipse.net4j.signal.Signal

`closeChannelAfterMe, closeInputStreamAfterMe, closeOutputStreamAfterMe, execute, finishInputStream, finishOutputStream, flush, getAdditionalInfo, getBufferInputStream, getBufferOutputStream, getCorrelationID, getCurrentInputStream, getCurrentOutputStream, getID, getName, getProtocol, handleRunException, run, toString, toString, wrapInputStream, wrapOutputStream`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SignalReactor

public SignalReactor(SignalProtocol<?> protocol, short id, String name)

Since:
  2.0

### SignalReactor

public SignalReactor(SignalProtocol<?> protocol, short signalID)

Since:
  2.0

### SignalReactor

public SignalReactor(SignalProtocol<?> protocol, Enum<?> literal)

Since:
  2.0

## Method Details

### createMonitor

protected final org.eclipse.net4j.util.om.monitor.OMMonitor createMonitor(int monitorProgressSeconds, int monitorTimeoutSeconds)

Since:
  4.13

### monitor

protected final void monitor(int monitorProgressSeconds, int monitorTimeoutSeconds, org.eclipse.net4j.util.RunnableWithException runnable) throws Exception

Throws:
  `Exception`
Since:
  4.15